package ru.yandex.webmaster3.api.http.common.request.traits;

import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.api.http.common.request.annotations.MinValue;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;

/**
 * @author avhaliullin
 */
public interface ApiPaginationRequest {
    @Description("смещение в списке")
    @MinValue(0)
    @RequestQueryProperty
    void setOffset(int offset);

    int getOffset();

    @Description("размер страницы")
    @MinValue(1)
    @RequestQueryProperty
    void setLimit(int limit);

    int getLimit();
}
